Package org.apache.calcite.avatica.remote

# Enum HostnameVerificationConfigurable.HostnameVerification

java.lang.Object
java.lang.Enum<HostnameVerificationConfigurable.HostnameVerification>
org.apache.calcite.avatica.remote.HostnameVerificationConfigurable.HostnameVerification

All Implemented Interfaces:
  `Serializable`, `Comparable<HostnameVerificationConfigurable.HostnameVerification>`, `java.lang.constant.Constable`

Enclosing interface:
  HostnameVerificationConfigurable

public static enum HostnameVerificationConfigurable.HostnameVerification extends Enum<HostnameVerificationConfigurable.HostnameVerification>
Describes the support hostname verification methods of `AvaticaHttpClient`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
No verification is performed.
`STRICT`
The common name (CN) on the certificate must match the server's hostname.

## Method Summary

Modifier and Type
Method
Description
`static HostnameVerificationConfigurable.HostnameVerification`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HostnameVerificationConfigurable.HostnameVerification[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRICT

public static final HostnameVerificationConfigurable.HostnameVerification STRICT
The common name (CN) on the certificate must match the server's hostname.

### NONE

public static final HostnameVerificationConfigurable.HostnameVerification NONE
No verification is performed.

## Method Details

### values

public static HostnameVerificationConfigurable.HostnameVerification[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HostnameVerificationConfigurable.HostnameVerification valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null